# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define namedversion 1.1-SNAPSHOT

Name:           imageio-ext
Version:        1.1
Release:        0.r1236.1%{?dist}
Summary:        Tools and Extensions of Image I/O

Group:          Development/Libraries
License:        LGPL
URL:            https://imageio-ext.dev.java.net/

Source0:        imageio-ext-1.1-r1236.tgz
# svn --username guest export -r 1236 https://imageio-ext.dev.java.net/svn/imageio-ext/trunk imageio-ext-1.1-SNAPSHOT
# tar czf imageio-ext-1.1-r1236.tgz imageio-ext-1.1-SNAPSHOT/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        http://download.osgeo.org/webdav/geotools/it/geosolutions/imageio-ext/imageio-ext-gdal-bindings/1.7.2/imageio-ext-gdal-bindings-1.7.2.pom
Source4:        http://download.osgeo.org/webdav/geotools/it/geosolutions/imageio-ext/imageio-ext-kakadujni/5.2.6/imageio-ext-kakadujni-5.2.6.pom
Source5:        jmagick-6.2.6.pom
Patch0:         imageio-ext-deploy-jar-pom.patch
Patch1:         imageio-ext-plugin-pom.patch
Patch2:         imageio-ext-GDALImageWriter.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-wagon
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-antlr
BuildRequires:  antlr
BuildRequires:  apache-commons-parent
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-net
BuildRequires:  gdal-java >= 0:1.7.3
BuildRequires:  glassfish-javamail
BuildRequires:  grib-decoder-java
BuildRequires:  jai-core
BuildRequires:  jai-imageio-core
BuildRequires:  java3d
BuildRequires:  joda-time
BuildRequires:  jsr108
BuildRequires:  junit431
BuildRequires:  log4j
BuildRequires:  netcdf-java >= 0:4.0
BuildRequires:  opendap
BuildRequires:  servlet_2_4_api
BuildRequires:  slf4j
BuildRequires:  stax_1_0_api
BuildRequires:  velocity14
BuildRequires:  xmlbeans

Requires:  java >= 0:1.6.0
Requires:  jpackage-utils >= 0:1.7.5
Requires:  gdal-java >= 0:1.7.3
Requires:  grib-decoder-java
Requires:  jai-core
Requires:  jai-imageio-core
Requires:  java3d
Requires:  joda-time
Requires:  jsr108
Requires:  netcdf-java
Requires:  opendap
Requires:  xmlbeans

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

BuildArch:      noarch

%description
The Image I/O-Ext project extends the Java Sun's ImageI/O 
framework capabilities by providing access to new raster 
formats directly or through the integration of other 
frameworks and libraries, like GDAL, JMagick (experimental) 
and Kakadu. 
The project is Open Source but commercial-friendly, part 
of the code is released under an LGPL license, some other 
parts (namely, derivative work from SUN's imageio source 
code) are licensed under BSD license.

%package javadoc 
Summary:        Javadocs for %{name} 
Group:          Documentation 
Requires:       %{name} = %{version}-%{release} 
 
%description javadoc 
%{summary}. 

%prep
%setup -q -n %{name}-%{version}-SNAPSHOT
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath imageio-ext-gdal-bindings) deploy/jar/./gdal-1.7.2.jar
# pending to eliminate/ replace by BRs:
mv deploy/jar/kdu_jni.jar.no deploy/jar/kdu_jni.jar
mv deploy/jar/SwanHeaderSchema.jar.no deploy/jar/SwanHeaderSchema.jar
mv deploy/jar/ncsa_jhdf.jar.no deploy/jar/ncsa_jhdf.jar
mv deploy/jar/jmagick.jar.no deploy/jar/jmagick.jar
mv plugin/swan/header/SwanHeaderSchema.jar.no plugin/swan/header/SwanHeaderSchema.jar

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}

export MAVEN_OPTS="-Dmaven2.jpp.mode=true -Dmaven2.jpp.depmap.file=%{SOURCE2} -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Djava.awt.headless=true -Daggregate=true"
export MAVEN_SETTINGS=$(pwd)/settings.xml
pushd deploy
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -P linux \
        install 
popd
export MAVEN_OPTS="$MAVEN_OPTS -Xms512M -Xmx1024M -Xss1M -XX:MaxPermSize=128M"
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dall=true \
        install 
#       -Dmaven.test.failure.ignore=true \
pushd library
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        javadoc:javadoc
popd
pushd plugin
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dall=true \
        javadoc:javadoc
popd

%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}/%{name}

%__install -m 644 library/streams/target/%{name}-streams-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/streams-%{version}.jar
# recent rename
%__ln_s streams.jar %{buildroot}%{_javadir}/%{name}/customstreams.jar
%__install -m 644 library/gdalframework/target/%{name}-gdalframework-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalframework-%{version}.jar
%__install -m 644 library/geocore/target/%{name}-geocore-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/geocore-%{version}.jar
%__install -m 644 library/imagereadmt/target/%{name}-imagereadmt-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/imagereadmt-%{version}.jar
%__install -m 644 library/jgrib1/target/%{name}-jgrib1-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jgrib1-%{version}.jar
%__install -m 644 library/jmatio/target/%{name}-jmatio-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jmatio-%{version}.jar
%__install -m 644 library/netcdf-core/target/%{name}-netcdf-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/netcdf-core-%{version}.jar
%__install -m 644 library/test-data/target/%{name}-test-data-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/test-data-%{version}.jar
#%__install -m 644 library/jhdfaccess/target/%{name}-jhdfaccess-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jhdfaccess-%{version}.jar
%__install -m 644 library/test-data/target/%{name}-test-data-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/test-data-%{version}.jar
%__install -m 644 library/utilities/target/%{name}-utilities-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/utilities-%{version}.jar
%__install -m 644 plugin/arcgrid/target/%{name}-arcgrid-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/arcgrid-%{version}.jar
%__install -m 644 plugin/gdal/gdalarcbinarygrid/target/%{name}-gdalarcbinarygrid-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalarcbinarygrid-%{version}.jar
%__install -m 644 plugin/gdal/gdalarcgrid/target/%{name}-gdalarcgrid-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalarcgrid-%{version}.jar
%__install -m 644 plugin/gdal/gdaldoq1/target/%{name}-gdaldoq1-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdaldoq1-%{version}.jar
%__install -m 644 plugin/gdal/gdaldoq2/target/%{name}-gdaldoq2-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdaldoq2-%{version}.jar
%__install -m 644 plugin/gdal/gdaldted/target/%{name}-gdaldted-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdaldted-%{version}.jar
%__install -m 644 plugin/gdal/gdalecw/target/%{name}-gdalecw-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalecw-%{version}.jar
%__install -m 644 plugin/gdal/gdalecwjp2/target/%{name}-gdalecwjp2-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalecwjp2-%{version}.jar
%__install -m 644 plugin/gdal/gdalehdr/target/%{name}-gdalehdr-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalehdr-%{version}.jar
%__install -m 644 plugin/gdal/gdalenvihdr/target/%{name}-gdalenvihdr-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalenvihdr-%{version}.jar
%__install -m 644 plugin/gdal/gdalenvisat/target/%{name}-gdalenvisat-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalenvisat-%{version}.jar
%__install -m 644 plugin/gdal/gdalerdasimg/target/%{name}-gdalerdasimg-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalerdasimg-%{version}.jar
%__install -m 644 plugin/gdal/gdalgeotiff/target/%{name}-gdalgeotiff-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalgeotiff-%{version}.jar
%__install -m 644 plugin/gdal/gdalhdf4/target/%{name}-gdalhdf4-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalhdf4-%{version}.jar
%__install -m 644 plugin/gdal/gdaljpeg/target/%{name}-gdaljpeg-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdaljpeg-%{version}.jar
%__install -m 644 plugin/gdal/gdalkakadujp2/target/%{name}-gdalkakadujp2-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalkakadujp2-%{version}.jar
%__install -m 644 plugin/gdal/gdalmrsid/target/%{name}-gdalmrsid-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalmrsid-%{version}.jar
%__install -m 644 plugin/gdal/gdalmrsidjp2/target/%{name}-gdalmrsidjp2-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalmrsidjp2-%{version}.jar
%__install -m 644 plugin/gdal/gdalnitf/target/%{name}-gdalnitf-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalnitf-%{version}.jar
%__install -m 644 plugin/gdal/gdalwcs/target/%{name}-gdalwcs-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalwcs-%{version}.jar
%__install -m 644 plugin/gdal/gdalwms/target/%{name}-gdalwms-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/gdalwms-%{version}.jar
%__install -m 644 plugin/jmagickjpeg/target/%{name}-jmagickjpeg-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jmagickjpeg-%{version}.jar
%__install -m 644 plugin/kakadujp2/target/%{name}-kakadu-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/kakadu-%{version}.jar
%__install -m 644 plugin/matlab/target/%{name}-matlab5-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/matlab5-%{version}.jar
%__install -m 644 plugin/pnm/target/%{name}-pnm-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/pnm-%{version}.jar
%__install -m 644 plugin/swan/target/%{name}-swan-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/swan-%{version}.jar
%__install -m 644 plugin/tiff/target/%{name}-tiff-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/tiff-%{version}.jar
%__install -m 644 plugin/unidata-netcdf/grib1/target/%{name}-grib1-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/grib1-%{version}.jar
%__install -m 644 plugin/unidata-netcdf/hdf4/target/%{name}-hdf4-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hdf4-%{version}.jar
%__install -m 644 plugin/unidata-netcdf/netcdfconverters/target/netcdf-converters-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/netcdf-converters-%{version}.jar
%__install -m 644 plugin/unidata-netcdf/netcdf/target/%{name}-netcdf-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/netcdf-%{version}.jar

%__install -m 644 deploy/jar/gdal-1.7.2.jar %{buildroot}%{_javadir}/%{name}/gdal-bindings-1.7.2.jar
ln -s gdal-bindings-1.7.2.jar %{buildroot}%{_javadir}/%{name}/gdal-bindings.jar

%__install -m 644 deploy/jar/jmagick.jar %{buildroot}%{_javadir}/%{name}/jmagick-6.2.6.0.jar
ln -s jmagick-6.2.6.0.jar %{buildroot}%{_javadir}/%{name}/jmagick.jar

%__install -m 644 deploy/jar/kdu_jni.jar %{buildroot}%{_javadir}/%{name}/kakadujni-5.2.6.jar
ln -s kakadujni-5.2.6.jar %{buildroot}%{_javadir}/%{name}/kakadujni.jar

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# poms
%__mkdir_p %{buildroot}%{_datadir}/maven2/poms
%__install -m 644 pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name} %{version} JPP/%{name} %{name}
%__install -m 644 library/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-library.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-library %{version} JPP/%{name} library
%__install -m 644 library/streams/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-streams.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-streams %{version} JPP/%{name} streams
# recent rename
%__install -m 644 library/streams/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-customstreams.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-customstreams %{version} JPP/%{name} customstreams
%__install -m 644 library/gdalframework/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalframework.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalframework %{version} JPP/%{name} gdalframework
%__install -m 644 library/geocore/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-geocore.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-geocore %{version} JPP/%{name} geocore
%__install -m 644 library/imagereadmt/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-imagereadmt.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-imagereadmt %{version} JPP/%{name} imagereadmt
%__install -m 644 library/jgrib1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jgrib1.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-jgrib1 %{version} JPP/%{name} jgrib1
%__install -m 644 library/jmatio/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmatio.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-jmatio %{version} JPP/%{name} jmatio
%__install -m 644 library/netcdf-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-netcdf-core.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-netcdf-core %{version} JPP/%{name} netcdf-core
#%__install -m 644 library/jhdfaccess/pom.xml \
#               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jhdfaccess.pom
#%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-jhdfaccess %{version} JPP/%{name} jhdfaccess
%__install -m 644 library/test-data/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test-data.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-test-data %{version} JPP/%{name} test-data
%__install -m 644 library/utilities/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-utilities.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-utilities %{version} JPP/%{name} utilities
%__install -m 644 plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-plugin.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-plugin %{version} JPP/%{name} plugin
%__install -m 644 plugin/arcgrid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-arcgrid.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-arcgrid %{version} JPP/%{name} arcgrid
%__install -m 644 plugin/gdal/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdal-plugin.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdal-plugin %{version} JPP/%{name} gdal-plugin
%__install -m 644 plugin/gdal/gdalarcbinarygrid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalarcbinarygrid.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalarcbinarygrid %{version} JPP/%{name} gdalarcbinarygrid
%__install -m 644 plugin/gdal/gdalarcgrid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalarcgrid.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalarcgrid %{version} JPP/%{name} gdalarcgrid
%__install -m 644 plugin/gdal/gdaldoq1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdaldoq1.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdaldoq1 %{version} JPP/%{name} gdaldoq1
%__install -m 644 plugin/gdal/gdaldoq2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdaldoq2.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdaldoq2 %{version} JPP/%{name} gdaldoq2
%__install -m 644 plugin/gdal/gdaldted/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdaldted.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdaldted %{version} JPP/%{name} gdaldted
%__install -m 644 plugin/gdal/gdalecw/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalecw.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalecw %{version} JPP/%{name} gdalecw
%__install -m 644 plugin/gdal/gdalecwjp2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalecwjp2.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalecwjp2 %{version} JPP/%{name} gdalecwjp2
%__install -m 644 plugin/gdal/gdalehdr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalehdr.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalehdr %{version} JPP/%{name} gdalehdr
%__install -m 644 plugin/gdal/gdalenvihdr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalenvihdr.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalenvihdr %{version} JPP/%{name} gdalenvihdr
%__install -m 644 plugin/gdal/gdalenvisat/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalenvisat.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalenvisat %{version} JPP/%{name} gdalenvisat
%__install -m 644 plugin/gdal/gdalerdasimg/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalerdasimg.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalerdasimg %{version} JPP/%{name} gdalerdasimg
%__install -m 644 plugin/gdal/gdalgeotiff/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalgeotiff.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalgeotiff %{version} JPP/%{name} gdalgeotiff
%__install -m 644 plugin/gdal/gdalhdf4/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalhdf4.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalhdf4 %{version} JPP/%{name} gdalhdf4
%__install -m 644 plugin/gdal/gdaljpeg/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdaljpeg.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdaljpeg %{version} JPP/%{name} gdaljpeg
%__install -m 644 plugin/gdal/gdalkakadujp2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalkakadujp2.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalkakadujp2 %{version} JPP/%{name} gdalkakadujp2
%__install -m 644 plugin/gdal/gdalmrsid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalmrsid.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalmrsid %{version} JPP/%{name} gdalmrsid
%__install -m 644 plugin/gdal/gdalmrsidjp2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalmrsidjp2.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalmrsidjp2 %{version} JPP/%{name} gdalmrsidjp2
%__install -m 644 plugin/gdal/gdalnitf/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalnitf.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalnitf %{version} JPP/%{name} gdalnitf
%__install -m 644 plugin/gdal/gdalwcs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalwcs.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalwcs %{version} JPP/%{name} gdalwcs
%__install -m 644 plugin/gdal/gdalwms/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdalwms.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdalwms %{version} JPP/%{name} gdalwms
%__install -m 644 plugin/jmagickjpeg/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmagickjpeg.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-kakadu %{version} JPP/%{name} kakadu
%__install -m 644 plugin/kakadujp2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kakadu.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-kakadu %{version} JPP/%{name} kakadu
%__install -m 644 plugin/matlab/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-matlab5.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-matlab5 %{version} JPP/%{name} matlab5
%__install -m 644 plugin/pnm/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pnm.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-pnm %{version} JPP/%{name} pnm
%__install -m 644 plugin/swan/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-swan.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-swan %{version} JPP/%{name} swan
%__install -m 644 plugin/tiff/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tiff.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-tiff %{version} JPP/%{name} tiff
%__install -m 644 plugin/unidata-netcdf/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-netcdf-plugin.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-netcdf-plugin %{version} JPP/%{name} netcdf-plugin
%__install -m 644 plugin/unidata-netcdf/grib1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-grib1.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-grib1 %{version} JPP/%{name} grib1
%__install -m 644 plugin/unidata-netcdf/hdf4/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hdf4.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-hdf4 %{version} JPP/%{name} hdf4
%__install -m 644 plugin/unidata-netcdf/netcdfconverters/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-netcdf-converters.pom
%add_to_maven_depmap it.geosolutions.imageio-ext netcdf-converters %{version} JPP/%{name} netcdf-converters
%__install -m 644 plugin/unidata-netcdf/netcdf/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-netcdf.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-netcdf %{version} JPP/%{name} netcdf

# pom provided by gdal-java
#%__install -m 644 %{SOURCE3} \
#               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gdal-bindings.pom
#%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-gdal-bindings 1.7.2 JPP/%{name} gdal-bindings

%__install -m 644 %{SOURCE4} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kakadujni.pom
%add_to_maven_depmap it.geosolutions.imageio-ext %{name}-kakadujni 5.2.6 JPP/%{name} kakadujni

%__install -m 644 %{SOURCE5} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmagick.pom
%add_to_maven_depmap jmagick jmagick 6.2.6.0 JPP/%{name} jmagick

# javadoc 
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}/library
%__cp -a library/target/site/apidocs/* \
               %{buildroot}%{_javadocdir}/%{name}-%{version}/library
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}/plugin
%__cp -a plugin/target/site/apidocs/* \
               %{buildroot}%{_javadocdir}/%{name}-%{version}/plugin
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%clean
%__rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc 
%defattr(-,root,root,-) 
%{_javadocdir}/%{name}-%{version} 
%{_javadocdir}/%{name} 

%changelog
* Fri Nov 19 2010 Ralph Apel <r.apel@r-apel.de> 1.1-0.r1236.1
- r1236 for compat with gdal-java
- (B)R gdal-java and drop formerly included gdal-1.7.2.jar

* Sun Oct 17 2010 Ralph Apel <r.apel@r-apel.de> 1.1-0.r1192.1
- 1.1-SNAPSHOT

* Wed Jun 30 2010 Ralph Apel <r.apel@r-apel.de> 1.0.5-1
- First release

